Composite.Forms.Renderer adds old jQuery

Topics: General, Standard packages
Nov 24, 2010 at 5:29 PM

Hey guys,

When adding a Form.Renderer function to a page, a reference for /Frontend/Composite/Forms/Renderer/Scripts/jquery-1.2.6.min.js is made in the <head>.

This old jQuery version breaks my site. Can i change or remove it somehow?

I like to have complete control over my markup, and this function adds 4 JS references and 1 inline script block, which doesn't suit me all that much :-)

I can make my own Validation, so if i can disable the script files it would be awesome!

Regards
 Martin 

Developer
Nov 25, 2010 at 7:16 AM

Hi

Jquery used for DatePicker, Validation run on server-side,

You can change added scripts in Frontend\Composite\Forms\Renderer\Controls\FormsRender.ascx.cs

line: InsertScriptIntoHeader(FormsRenderer.FormsRendererWebPath + "Scripts/jquery-1.2.6.min.js");